Spelling checks for keywords auto-completion list
[geeqie.git] / scripts / generate-appimage.sh
index c7f9a13..e8ff83d 100755 (executable)
@@ -1,4 +1,4 @@
-#! /bin/bash
+#! /bin/sh
 #**********************************************************************
 # Copyright (C) 2021 - The Geeqie Team
 #
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 #**********************************************************************
-#
-# This script will generate a Geeqie AppImage.
-#
-# It must be run from the base Geeqie folder.
-# The single parameter is the directory where the AppDir
-# will be created.
-#
-#**********************************************************************
 
+## @file
+## @brief Generate a Geeqie AppImage.
+##
+## It must be run from the base Geeqie folder.  
+## The single parameter is the directory where the AppDir
+## will be created.
+##
 
-if [[ ! -f geeqie.spec.in ]] || [[ ! -d .git ]]
+if [ ! -f geeqie.spec.in ] || [ ! -d .git ]
 then
-       echo "This is not a Geeqie folder"
+       printf '%s\n' "This is not a Geeqie folder"
        exit 1
 fi
 
-target_dir=$(realpath "$1")
-
-if [[ $? -ne 0 ]]
+if ! target_dir=$(realpath "$1");
 then
-       echo "No target dir specified"
+       printf '%s\n' "No target dir specified"
        exit 1
 fi
 
 rm -rf "$target_dir"/AppDir
-mkdir "$target_dir"/AppDir
+mkdir "$target_dir"/AppDir || { printf '%s\n' "Cannot make $target_dir/AppDir"; exit 1; }
 
 sudo rm -rf doc/html
 
@@ -52,14 +49,16 @@ sudo make maintainer-clean
 make -j
 make install DESTDIR="$target_dir"/AppDir
 
-export VERSION=$(git tag | tail -1)
+VERSION=$(git tag | tail -1)
+export VERSION
 
-cd "$target_dir"
+cd "$target_dir" || { printf '%s\n' "Cannot cd to $target_dir"; exit 1; }
 
 linuxdeploy-x86_64.AppImage \
        --appdir ./AppDir --output appimage \
        --desktop-file ./AppDir/usr/share/applications/geeqie.desktop \
        --icon-file ./AppDir/usr/share/pixmaps/geeqie.png \
+       --plugin gtk \
        --executable ./AppDir/usr/bin/geeqie
 
-mv "./Geeqie-$VERSION-x86_64.AppImage" "$(./Geeqie-$VERSION-x86_64.AppImage -v | sed 's/git//' | sed 's/-.* /-/' | sed 's/ /-v/' | sed 's/-GTK3//').AppImage"
+mv "./Geeqie-$VERSION-x86_64.AppImage" "$(./Geeqie-"$VERSION"-x86_64.AppImage -v | sed 's/git//' | sed 's/-.* /-/' | sed 's/ /-v/' | sed 's/-GTK3//').AppImage"